<?php
/**
 * Suprimentos\Repositories
 * @category Php
 * @package  Suprimentos\Repositories
 * @author   matthaeuscarvalho <matthaeus.carvalho@teknisa.com>
 * @license  www.teknisa.com Teknisa
 * @link     http://localhost:9090/tecfood
 */
namespace Suprimentos\Repositories;

/**
 * Class Prodnececomp
 * @category Php
 * @package  Suprimentos\Repositories
 * @author   matthaeuscarvalho <matthaeus.carvalho@teknisa.com>
 * @license  www.teknisa.com Teknisa
 * @link     http://localhost:9090/tecfood
 */
class Prodnececomp extends \Doctrine\ORM\EntityRepository
{
    /**
     * Retorna resultado do cálculo de necessidade de compras
     *
     * @param $nrorg
     * @param $nrnececomp
     *
     * @return array
     * @throws \Exception
     */
    public static function possuiRegistrosCalculoCompras(
        $nrorg, $nrnececomp
    ) {
        $sql
            = <<<SQL
SELECT DISTINCT(TRABNECECOMP.CDFILNECECMP), FILIAL.NMFILIAL AS CDFILNECECMP__LABEL
  FROM FILIAL, TRABNECECOMP
 WHERE TRABNECECOMP.NRORG      = :P_NRORG
   AND TRABNECECOMP.NRNECECOMP = :P_NRNECECOMP
   AND FILIAL.NRORG            = TRABNECECOMP.NRORG
   AND FILIAL.CDFILIAL         = TRABNECECOMP.CDFILNECECMP
   AND IDMARCNECCMP            = 'S'
SQL;
        $params = array(
            'P_NRORG' => $nrorg,
            'P_NRNECECOMP' => $nrnececomp
        );

        try {
            $result = \Setforms2\Shared\Connection::getInstance()->fetchAll(
                $sql, $params
            );
            return $result;
        } catch (\Exception $e) {
            throw $e;
        }
    }
}